rpms/gdesklets/FC-4 Pyorbit-1.0-fix.patch, NONE, 1.1 gdesklets.spec, 1.17, 1.18

Luya Tshimbalanga (luya) fedora-extras-commits at redhat.com
Thu Aug 31 21:59:36 UTC 2006


Author: luya

Update of /cvs/extras/rpms/gdesklets/FC-4
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv5768/FC-4

Modified Files:
	gdesklets.spec 
Added Files:
	Pyorbit-1.0-fix.patch 
Log Message:
updated spec and added patch for PyOrbit

Pyorbit-1.0-fix.patch:

--- NEW FILE Pyorbit-1.0-fix.patch ---
--- ./gdesklets.fix	2006-08-31 01:37:18.000000000 -0700
+++ ./gdesklets	2006-08-31 01:37:00.000000000 -0700
@@ -58,8 +58,8 @@
           _("GTK python bindings (pygtk2) version >= 2.4.0 and "
             "GTK+ version >= 2.4.0 are required.")
         ),
-        ( ("ORBit",), lambda m : m.__version__ == (2, 0, 1),
-          _("ORBit python bindings (pyorbit) version == 2.0.1 are required.")
+        ( ("ORBit",), lambda m : m.__version__ >= (2, 0, 1),
+          _("ORBit python bindings (pyorbit) version >= 2.0.1 are required.")
         ),
         ( ("bonobo.ui",), lambda m : m,
           _("bonobo python bindings are required.")


Index: gdesklets.spec
===================================================================
RCS file: /cvs/extras/rpms/gdesklets/FC-4/gdesklets.spec,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- gdesklets.spec	30 Aug 2006 09:10:33 -0000	1.17
+++ gdesklets.spec	31 Aug 2006 21:59:36 -0000	1.18
@@ -1,15 +1,16 @@
 Name:           gdesklets
 Version:        0.35.3
-Release:        13%{?dist}.2
+Release:        14%{?dist}
 Summary:        Advanced architecture for desktop applets
 
 Group:          User Interface/Desktops
 License:        GPL
 URL:            http://www.gdesklets.org/
 Source0:        http://www.gdesklets.org/releases/gDesklets-%{version}.tar.bz2
+Patch0:		Pyorbit-1.0-fix.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-BuildRequires:  python-devel > 2.0.0, pyorbit-devel >= 2.0.1 , pygtk2-devel > 2.4.0, 
+BuildRequires:  python-devel > 2.0.0, pyorbit-devel , pygtk2-devel > 2.4.0, 
 BuildRequires:  librsvg2-devel, libgtop2-devel >= 2.8.0, gettext, intltool
 BuildRequires:  gnome-python2 >= 2.0.0, libgnome-devel > 2.6.0, desktop-file-utils
 Requires:	gnome-python2-gconf >= 2.6.0
@@ -28,7 +29,7 @@
 
 %prep
 %setup -q -n gDesklets-%{version}
-
+%patch0 -p1
 
 %build
 
@@ -86,6 +87,9 @@
 
 
 %changelog
+* Thu Aug 31 2006 Luya Tshimbalanga <luya_tfz at thefinalzone.com> - 0.35-3-14
+- Add patch related to pyorbit due to upstream bug
+
 * Wed Aug 30 2006 Luya Tshimbalanga <luya_tfz at thefinalzone.com> - 0.35-3-13.2
 - pyorbit for FC-4 is 2.0.1 (-_-)
 




More information about the scm-commits mailing list